services:
  # Сервис файлового генератора
  generator:
    build: 
      context: ./file_generator  # Путь к директории с Dockerfile
    volumes:
      - ./data:/var/data  # Монтирование локальной папки data в /var/data, то есть в контейнере

  # Сервис первой программы
  app_one:
    depends_on: # повесили ожидание запуска генератора файлов
      - generator
    build: 
     context: ./app_one/ # Путь к директории с Dockerfile
    volumes:
      - ./data:/var/data
      - ./result:/var/result
  
  # Сервис второй программы
  app_two:
    depends_on: # повесили ожидание запуска первой программы
      - app_one
    build:
      context: ./app_two/ # Путь к директории с Dockerfile
    volumes:
      - ./data:/var/data
      - ./result:/var/result